Back our Kickstarter Campaign going on Now
Page 3 of 14 First 1234513 ... Last
  1. #21
    Quote Originally Posted by tcorb1 View Post
    when adding weapons, coming up with fault since update. Script error [string"campaign/scripts/char_lua"]:177: attempt to call field' getValue'{a nil value}.
    So I can reproduce this but tracking down the bug is proving much more difficult. There are also errors if you go to the Actions tab and try to attack with the weapons, and the modifiers are not even showing up (attack roll modifier). I never changed the Inventory or Actions tabs so no idea off the top of my head what is going on here. I think your only hope right now is to stop using this extension and manually keep track of the extra items yourselves.

    Sorry about all this.

  2. #22
    damned's Avatar
    Join Date
    Mar 2011
    Location
    Australia
    Posts
    18,370
    Blog Entries
    1
    Hi NotRussellCrowe in some of your files it looks like you have included way more than is neccessary.
    Some files (eg template_char.xml) dont need you to replicate the whole 5e file and then make your changes - just add your changes only. This will reduce the number of areas that things can conflict with each other after the base changes.
    Do that first and then re-test.

    MoreCore - Generic Ruleset
    --- Projects ---
    Extensions | Tutorials | MoreCore | MoreCore Themes | Call of Cthulhu | Maelstrom | FG Con

  3. #23
    Quote Originally Posted by damned View Post
    Hi NotRussellCrowe in some of your files it looks like you have included way more than is neccessary.
    Some files (eg template_char.xml) dont need you to replicate the whole 5e file and then make your changes - just add your changes only. This will reduce the number of areas that things can conflict with each other after the base changes.
    Do that first and then re-test.
    Well that is very interesting. Thank you!

    Does that hold just for .lua files or for .xml as well?

  4. #24
    damned's Avatar
    Join Date
    Mar 2011
    Location
    Australia
    Posts
    18,370
    Blog Entries
    1
    lua is more complex for sure.
    initially everyone replaced the entire lua file but there was a discussion (mostly) between Moon Wizard and Dulux_Oz (and possibly a few others like Trenloe) where they talked about this and that it was possible now not to include entire files... I cant find it right this moment though...

    MoreCore - Generic Ruleset
    --- Projects ---
    Extensions | Tutorials | MoreCore | MoreCore Themes | Call of Cthulhu | Maelstrom | FG Con

  5. #25
    Quote Originally Posted by damned View Post
    lua is more complex for sure.
    initially everyone replaced the entire lua file but there was a discussion (mostly) between Moon Wizard and Dulux_Oz (and possibly a few others like Trenloe) where they talked about this and that it was possible now not to include entire files... I cant find it right this moment though...
    Thank you very much, damned, you nailed it! Just removing the extraneous XML in template_char.xml resolved the issue.

    My lua coding is mostly new files, only a few strings changed so that's no biggie to maintain.

    Thanks again!!

    Kelly

  6. #26

    Join Date
    Apr 2008
    Location
    Virginia Beach
    Posts
    2,806
    The discussion you are looking for is here
    Lest ye be impressed with my search fu the only reason I know is because I was involved.

  7. #27
    Quote Originally Posted by tcorb1 View Post
    when adding weapons, coming up with fault since update. Script error [string"campaign/scripts/char_lua"]:177: attempt to call field' getValue'{a nil value}.
    Hi, tcorb1!

    Thanks to damned the extension should now be working. I have uploaded 0.3 and you can find it on the first post. No other features added, just got it working with FG 3.3.0.

    Thanks for using this and I do apologize for the delay in getting the extension updated.

  8. #28
    Quote Originally Posted by Bidmaron View Post
    The discussion you are looking for is here
    Lest ye be impressed with my search fu the only reason I know is because I was involved.
    Thanks, Bidmaron!

  9. #29
    Trenloe's Avatar
    Join Date
    May 2011
    Location
    Denver, Colorado, USA (for a bit)
    Posts
    22,231
    Quote Originally Posted by NotRussellCrowe View Post
    Thank you very much, damned, you nailed it! Just removing the extraneous XML in template_char.xml resolved the issue.
    Just be very sure of where you've made changes so that for future versions of the 5E ruleset you can do a quick compare and see if you need to update your extension.

    It's a trade-off - minimizing your XML or LUA reduces the chances of there being a future upgrade causing an issue, but it makes it harder to do a quick compare and see if the code you've used needs to be changed to be compatible with a future upgrade. So, just make sure any changes you make are explaned in comments/additional readme files so that you can refresh your memory in a few months time when you might need to check for compatibility.

    Oh, and by-the-way - you need to repackage the new extension. You've zipped from outside of the directory, not inside.


    FG Product Development status: Pathfinder Playtest Ruleset and add-ons: In development. Pathfinder Bestiary, Pathfinder Bestiary 2, Pathfinder Bestiary 3 (in store).

    Private Messages: My inbox is forever filling up with PMs. Please don't send me PMs unless they are actually private/personal messages. General FG questions should be asked in the forums - don't be afraid, the FG community don't bite and you're giving everyone the chance to respond and learn!

  10. #30
    Quote Originally Posted by Trenloe View Post
    Just be very sure of where you've made changes so that for future versions of the 5E ruleset you can do a quick compare and see if you need to update your extension.

    It's a trade-off - minimizing your XML or LUA reduces the chances of there being a future upgrade causing an issue, but it makes it harder to do a quick compare and see if the code you've used needs to be changed to be compatible with a future upgrade. So, just make sure any changes you make are explaned in comments/additional readme files so that you can refresh your memory in a few months time when you might need to check for compatibility.

    Oh, and by-the-way - you need to repackage the new extension. You've zipped from outside of the directory, not inside.
    One of these days I'll upload something and get it right.

    Thank you for noticing my error, would have likely never solved it when the issue had been reported.

    Happy gaming!

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Log in

Log in